<?php
/**
* Loader options
*
* @package Theme Palace
* @subpackage Photo Fusion Pro
* @since Photo Fusion Pro 1.0
*/
// Add loader section
$wp_customize->add_section( 'photo_fusion_pro_loader', array(
	'title'               => esc_html__( 'Loader','photo-fusion-pro' ),
	'description'         => esc_html__( 'Loader section options.', 'photo-fusion-pro' ),
	'panel'               => 'photo_fusion_pro_theme_options_panel'
) );

// Loader enable setting and control.
$wp_customize->add_setting( 'photo_fusion_pro_theme_options[loader_enable]', array(
	'sanitize_callback'   => 'photo_fusion_pro_sanitize_checkbox',
	'default'             => $options['loader_enable']
) );

$wp_customize->add_control( 'photo_fusion_pro_theme_options[loader_enable]', array(
	'label'               => esc_html__( 'Enable loader', 'photo-fusion-pro' ),
	'section'             => 'photo_fusion_pro_loader',
	'type'                => 'checkbox',
) );

// Loader type setting and control.
$wp_customize->add_setting( 'photo_fusion_pro_theme_options[loader_type]', array(
	'sanitize_callback'   => 'photo_fusion_pro_sanitize_select',
	'default'             => $options['loader_type']
) );

$wp_customize->add_control( 'photo_fusion_pro_theme_options[loader_type]', array(
	'label'               => esc_html__( 'Loader Type', 'photo-fusion-pro' ),
	'section'             => 'photo_fusion_pro_loader',
	'type'                => 'select',
	'active_callback'		 => 'photo_fusion_pro_is_loader_enable',
	'choices'				 => photo_fusion_pro_loader_type(),
) );

// Loader gif setting and control.
$wp_customize->add_setting( 'photo_fusion_pro_theme_options[loader_gif]', array(
	'sanitize_callback'   => 'photo_fusion_pro_sanitize_image',
	'default'             => $options['loader_gif']
) );

$wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'photo_fusion_pro_theme_options[loader_gif]', array(
	'label'               => esc_html__( 'Loader Image/Gif', 'photo-fusion-pro' ),
	'section'             => 'photo_fusion_pro_loader',
	'active_callback'	  => 'photo_fusion_pro_is_loader_type_image'
) ) );

// Loader icons setting and control.
$wp_customize->add_setting( 'photo_fusion_pro_theme_options[loader_icon]', array(
	'sanitize_callback' => 'sanitize_text_field',
	'default'			=> $options['loader_icon'],
) );

$wp_customize->add_control( 'photo_fusion_pro_theme_options[loader_icon]', array(
	'label'           => esc_html__( 'Icon', 'photo-fusion-pro' ),
	'description'       => sprintf( esc_html__( 'Example fa-refresh see more at %1$s Font awesome %2$s.', 'photo-fusion-pro' ), '<a target="_blank" href="' . esc_url( 'http://fontawesome.io/icons/' ) . '">', '</a>' ),
	'section'         => 'photo_fusion_pro_loader',
	'active_callback' => 'photo_fusion_pro_is_loader_type_icon',
) );